| Home | Libraries | People | FAQ | More

##### list_tie

###### Description

Returns the result type of `list_tie`.

###### Synopsis

    template <typename T0, typename T1,... typename TN>
    struct list_tie;

The variadic function accepts `0` to `FUSION_MAX_LIST_SIZE` elements, where `FUSION_MAX_LIST_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_LIST_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_LIST_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`T0, T1,... TN` | Any type | The arguments to `list_tie`

###### Expression Semantics

    result_of::list_tie<T0, T1,... TN>::type;

Return type: `list`<T0&, T1&,... TN&>

Semantics: Create a `list` of references from `T0, T1,... TN`.

###### Header

    #include <boost/fusion/container/generation/list_tie.hpp>
    #include <boost/fusion/include/list_tie.hpp>

###### Example

    result_of::list_tie<int, double>::type